summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJurek Bartuszek <jurek@gentoo.org>2006-10-27 13:40:34 +0000
committerJurek Bartuszek <jurek@gentoo.org>2006-10-27 13:40:34 +0000
commit243afffcef803d05e4853f18fb922a82029737f9 (patch)
treefb093f3bdac494ca6f5d25202790955ebea8ba6e /dev-dotnet/xsp/files
parentStable on sparc wrt security #150229 (diff)
downloadgentoo-2-243afffcef803d05e4853f18fb922a82029737f9.tar.gz
gentoo-2-243afffcef803d05e4853f18fb922a82029737f9.tar.bz2
gentoo-2-243afffcef803d05e4853f18fb922a82029737f9.zip
- Added patch against xsp-1.1.10 that fixes a possible path disclosure
security issue (bug #135002). - Added new xsp versions 1.1.13.7 and 1.1.18 - Added possibility to host ASP.NET 2.0 applications - Fixed bugs #146763, #122683, #147393, #135002 - Addressed bugs #77169, #91791, #132854 (Portage version: 2.1.1)
Diffstat (limited to 'dev-dotnet/xsp/files')
-rw-r--r--dev-dotnet/xsp/files/1.1.10/mod-mono-server.confd30
-rw-r--r--dev-dotnet/xsp/files/1.1.10/mod-mono-server.initd70
-rw-r--r--dev-dotnet/xsp/files/1.1.10/xsp.confd11
-rw-r--r--dev-dotnet/xsp/files/1.1.10/xsp.initd29
-rw-r--r--dev-dotnet/xsp/files/1.1.13/mod-mono-server.confd30
-rw-r--r--dev-dotnet/xsp/files/1.1.13/mod-mono-server.initd70
-rw-r--r--dev-dotnet/xsp/files/1.1.13/xsp.confd8
-rw-r--r--dev-dotnet/xsp/files/1.1.13/xsp.initd29
-rw-r--r--dev-dotnet/xsp/files/1.1.18/mod-mono-server.confd34
-rw-r--r--dev-dotnet/xsp/files/1.1.18/mod-mono-server.initd81
-rw-r--r--dev-dotnet/xsp/files/1.1.18/xsp.confd12
-rw-r--r--dev-dotnet/xsp/files/1.1.18/xsp.initd38
-rw-r--r--dev-dotnet/xsp/files/digest-xsp-1.1.10-r23
-rw-r--r--dev-dotnet/xsp/files/digest-xsp-1.1.13.73
-rw-r--r--dev-dotnet/xsp/files/digest-xsp-1.1.183
-rw-r--r--dev-dotnet/xsp/files/xsp-monoworkerrequest-fix.patch19
16 files changed, 470 insertions, 0 deletions
diff --git a/dev-dotnet/xsp/files/1.1.10/mod-mono-server.confd b/dev-dotnet/xsp/files/1.1.10/mod-mono-server.confd
new file mode 100644
index 000000000000..a3e85773e0e8
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.1.10/mod-mono-server.confd
@@ -0,0 +1,30 @@
+# Config file for /etc/init.d/mod-mono-server
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.1.10/mod-mono-server.confd,v 1.1 2006/10/27 13:40:34 jurek Exp $
+
+# Configuration directives for mod-mono-server.exe. For more information on
+# these variables, see the man page for xsp(1).
+
+# This is the document root; trailing slash is not necessary
+#MonoServerRootDir="/usr/lib/xsp/test"
+
+# Directory to search for files with an `.webapp' extension.
+#MonoApplicationsConfigDir="/usr/lib/xsp/test"
+
+# Comma separated list of directories (in the form virtual:real) for all
+# applications managed by the server. For example:
+# /app1:/var/www/localhost/htdocs/app1,/app2:/var/www/localhost/htdocs/app2
+MonoApplications="/mono:/usr/lib/xsp/test"
+
+# The communication channel used between mod-mono-server and mod_mono.
+# unix - A unix socket
+# tcp - A TCP connection
+MonoServerChannel="unix"
+
+# When the comm. channel is "unix", the local filename used by the socket.
+UnixSocketFileName="/tmp/mod_mono_server"
+
+# When the comm. channel is "tcp", IP address for the server to listen on.
+#MonoServerAddress=127.0.0.1
+
+# When the comm. channel is "tcp", port for the server to listen on.
+#MonoServerPort=8080
diff --git a/dev-dotnet/xsp/files/1.1.10/mod-mono-server.initd b/dev-dotnet/xsp/files/1.1.10/mod-mono-server.initd
new file mode 100644
index 000000000000..58aac5e73935
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.1.10/mod-mono-server.initd
@@ -0,0 +1,70 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.1.10/mod-mono-server.initd,v 1.1 2006/10/27 13:40:34 jurek Exp $
+
+depend() {
+ use net
+ after dotnet
+}
+
+start() {
+ [ -z "$MonoServerRootDir" ] && \
+ MonoServerRootDir="/usr/lib/xsp/test"
+ [ -z "$MonoApplications" ] && \
+ MonoApplications="/mono:/usr/lib/xsp/test,/:."
+ [ -z "$UnixSocketFileName" ] && \
+ UnixSocketFileName="/tmp/mod_mono_server"
+ [ -z "$MonoServerAddress" ] && \
+ MonoServerAddress=127.0.0.1
+ [ -z "$MonoServerPort" ] && \
+ MonoServerPort=8080
+
+ MONO_SERVER_OPTS="--root ${MonoServerRootDir} \
+--applications ${MonoApplications} --nonstop"
+
+ [ -n "$MonoApplicationsConfigDir" ] && \
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--appconfigdir ${MonoApplicationsConfigDir}"
+
+ case "$MonoServerChannel" in
+ "tcp" )
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--address ${MonoServerAddress} --port ${MonoServerPort}"
+ ;;
+
+ "unix" )
+ [ -f "$UnixSocketFileName" ] && rm -f $UnixSocketFileName
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--filename ${UnixSocketFileName}"
+ ;;
+
+ * )
+ eerror "Please set a valid value for MonoServerChannel"
+ return 1
+ ;;
+ esac
+
+ export MONO_SHARED_DIR=/tmp
+
+ ebegin "Starting mod-mono-server"
+
+ start-stop-daemon --quiet --start \
+ --background \
+ --make-pidfile \
+ --pidfile /var/run/aspnet/mod-mono-server.pid \
+ --chuid apache \
+ --exec /usr/bin/mod-mono-server \
+ -- $MONO_SERVER_OPTS
+
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping mod-mono-server"
+
+ start-stop-daemon -o --quiet --stop \
+ --pidfile /var/run/aspnet/mod-mono-server.pid
+
+ eend $?
+}
diff --git a/dev-dotnet/xsp/files/1.1.10/xsp.confd b/dev-dotnet/xsp/files/1.1.10/xsp.confd
new file mode 100644
index 000000000000..0f748523eb23
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.1.10/xsp.confd
@@ -0,0 +1,11 @@
+# Config file for /etc/init.d/xsp
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.1.10/xsp.confd,v 1.1 2006/10/27 13:40:34 jurek Exp $
+
+# This is the document root; trailing slash is not necessary
+MonoServerRoot=/usr/lib/xsp/test
+
+# Port for the server to run on
+MonoServerPort=8000
+
+
+
diff --git a/dev-dotnet/xsp/files/1.1.10/xsp.initd b/dev-dotnet/xsp/files/1.1.10/xsp.initd
new file mode 100644
index 000000000000..3b80e3f149ff
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.1.10/xsp.initd
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.1.10/xsp.initd,v 1.1 2006/10/27 13:40:34 jurek Exp $
+
+depend() {
+ need net
+ after dotnet
+}
+
+start() {
+ ebegin "Starting xsp"
+
+ start-stop-daemon --quiet --start \
+ --background \
+ --make-pidfile \
+ --pidfile /var/run/aspnet/xsp.pid \
+ --chuid aspnet \
+ --exec /usr/bin/mono /usr/lib/xsp/1.0/xsp.exe -- --root ${MonoServerRoot} --port ${MonoServerPort} --nonstop
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping xsp"
+ start-stop-daemon -o --quiet --stop \
+ --pidfile /var/run/aspnet/xsp.pid
+ eend $?
+}
+
diff --git a/dev-dotnet/xsp/files/1.1.13/mod-mono-server.confd b/dev-dotnet/xsp/files/1.1.13/mod-mono-server.confd
new file mode 100644
index 000000000000..0b61526e7efd
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.1.13/mod-mono-server.confd
@@ -0,0 +1,30 @@
+# Config file for /etc/init.d/mod-mono-server
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.1.13/mod-mono-server.confd,v 1.1 2006/10/27 13:40:34 jurek Exp $
+
+# Configuration directives for mod-mono-server.exe. For more information on
+# these variables, see the man page for xsp(1).
+
+# This is the document root; trailing slash is not necessary
+#MonoServerRootDir="/usr/lib/xsp/test"
+
+# Directory to search for files with an `.webapp' extension.
+#MonoApplicationsConfigDir="/usr/lib/xsp/test"
+
+# Comma separated list of directories (in the form virtual:real) for all
+# applications managed by the server. For example:
+# /app1:/var/www/localhost/htdocs/app1,/app2:/var/www/localhost/htdocs/app2
+MonoApplications="/mono:/usr/lib/xsp/test"
+
+# The communication channel used between mod-mono-server and mod_mono.
+# unix - A unix socket
+# tcp - A TCP connection
+MonoServerChannel="unix"
+
+# When the comm. channel is "unix", the local filename used by the socket.
+UnixSocketFileName="/tmp/mod_mono_server"
+
+# When the comm. channel is "tcp", IP address for the server to listen on.
+#MonoServerAddress=127.0.0.1
+
+# When the comm. channel is "tcp", port for the server to listen on.
+#MonoServerPort=8080
diff --git a/dev-dotnet/xsp/files/1.1.13/mod-mono-server.initd b/dev-dotnet/xsp/files/1.1.13/mod-mono-server.initd
new file mode 100644
index 000000000000..43288fc378a8
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.1.13/mod-mono-server.initd
@@ -0,0 +1,70 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.1.13/mod-mono-server.initd,v 1.1 2006/10/27 13:40:34 jurek Exp $
+
+depend() {
+ use net
+ after dotnet
+}
+
+start() {
+ [ -z "$MonoServerRootDir" ] && \
+ MonoServerRootDir="/usr/lib/xsp/test"
+ [ -z "$MonoApplications" ] && \
+ MonoApplications="/mono:/usr/lib/xsp/test,/:."
+ [ -z "$UnixSocketFileName" ] && \
+ UnixSocketFileName="/tmp/mod_mono_server"
+ [ -z "$MonoServerAddress" ] && \
+ MonoServerAddress=127.0.0.1
+ [ -z "$MonoServerPort" ] && \
+ MonoServerPort=8080
+
+ MONO_SERVER_OPTS="--root ${MonoServerRootDir} \
+--applications ${MonoApplications} --nonstop"
+
+ [ -n "$MonoApplicationsConfigDir" ] && \
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--appconfigdir ${MonoApplicationsConfigDir}"
+
+ case "$MonoServerChannel" in
+ "tcp" )
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--address ${MonoServerAddress} --port ${MonoServerPort}"
+ ;;
+
+ "unix" )
+ [ -f "$UnixSocketFileName" ] && rm -f $UnixSocketFileName
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--filename ${UnixSocketFileName}"
+ ;;
+
+ * )
+ eerror "Please set a valid value for MonoServerChannel"
+ return 1
+ ;;
+ esac
+
+ export MONO_SHARED_DIR=/tmp
+
+ ebegin "Starting mod-mono-server"
+
+ start-stop-daemon --quiet --start \
+ --background \
+ --make-pidfile \
+ --pidfile /var/run/aspnet/mod-mono-server.pid \
+ --chuid aspnet \
+ --exec /usr/bin/mono /usr/lib/xsp/1.0/mod-mono-server.exe \
+ -- $MONO_SERVER_OPTS
+
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping mod-mono-server"
+
+ start-stop-daemon -o --quiet --stop \
+ --pidfile /var/run/aspnet/mod-mono-server.pid
+
+ eend $?
+}
diff --git a/dev-dotnet/xsp/files/1.1.13/xsp.confd b/dev-dotnet/xsp/files/1.1.13/xsp.confd
new file mode 100644
index 000000000000..2f6f5f915d94
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.1.13/xsp.confd
@@ -0,0 +1,8 @@
+# Config file for /etc/init.d/xsp
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.1.13/xsp.confd,v 1.1 2006/10/27 13:40:34 jurek Exp $
+
+# This is the document root; trailing slash is not necessary
+MonoServerRoot=/usr/lib/xsp/test
+
+# Port for the server to run on
+MonoServerPort=8000
diff --git a/dev-dotnet/xsp/files/1.1.13/xsp.initd b/dev-dotnet/xsp/files/1.1.13/xsp.initd
new file mode 100644
index 000000000000..d6737ab9c850
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.1.13/xsp.initd
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.1.13/xsp.initd,v 1.1 2006/10/27 13:40:34 jurek Exp $
+
+depend() {
+ need net
+ after dotnet
+}
+
+start() {
+ ebegin "Starting xsp"
+
+ start-stop-daemon --quiet --start \
+ --background \
+ --make-pidfile \
+ --pidfile /var/run/aspnet/xsp.pid \
+ --chuid aspnet \
+ --exec /usr/bin/mono /usr/lib/xsp/1.0/xsp.exe -- --root ${MonoServerRoot} --port ${MonoServerPort} --nonstop
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping xsp"
+ start-stop-daemon -o --quiet --stop \
+ --pidfile /var/run/aspnet/xsp.pid
+ eend $?
+}
+
diff --git a/dev-dotnet/xsp/files/1.1.18/mod-mono-server.confd b/dev-dotnet/xsp/files/1.1.18/mod-mono-server.confd
new file mode 100644
index 000000000000..cc82d06ab530
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.1.18/mod-mono-server.confd
@@ -0,0 +1,34 @@
+# Config file for /etc/init.d/mod-mono-server
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.1.18/mod-mono-server.confd,v 1.1 2006/10/27 13:40:34 jurek Exp $
+
+# Configuration directives for mod-mono-server.exe. For more information on
+# these variables, see the man page for xsp(1).
+
+# This is the document root; trailing slash is not necessary
+#MonoServerRootDir="/usr/lib/xsp/test"
+
+# Directory to search for files with an `.webapp' extension.
+#MonoApplicationsConfigDir="/usr/lib/xsp/test"
+
+# Comma separated list of directories (in the form virtual:real) for all
+# applications managed by the server. For example:
+# /app1:/var/www/localhost/htdocs/app1,/app2:/var/www/localhost/htdocs/app2
+MonoApplications="/mono:/usr/lib/xsp/test"
+
+# The communication channel used between mod-mono-server and mod_mono.
+# unix - A unix socket
+# tcp - A TCP connection
+MonoServerChannel="unix"
+
+# When the comm. channel is "unix", the local filename used by the socket.
+UnixSocketFileName="/tmp/mod_mono_server"
+
+# When the comm. channel is "tcp", IP address for the server to listen on.
+#MonoServerAddress=127.0.0.1
+
+# When the comm. channel is "tcp", port for the server to listen on.
+#MonoServerPort=8080
+
+# If you want to host .NET 2.0 applications you have to set this to 2.
+# Otherwise, leave it unchaged
+MonoServerVersion=1
diff --git a/dev-dotnet/xsp/files/1.1.18/mod-mono-server.initd b/dev-dotnet/xsp/files/1.1.18/mod-mono-server.initd
new file mode 100644
index 000000000000..15e01b962902
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.1.18/mod-mono-server.initd
@@ -0,0 +1,81 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.1.18/mod-mono-server.initd,v 1.1 2006/10/27 13:40:34 jurek Exp $
+
+depend() {
+ use net
+ after dotnet
+}
+
+start() {
+ [ -z "$MonoServerRootDir" ] && \
+ MonoServerRootDir="/usr/lib/xsp/test"
+ [ -z "$MonoApplications" ] && \
+ MonoApplications="/mono:/usr/lib/xsp/test,/:."
+ [ -z "$UnixSocketFileName" ] && \
+ UnixSocketFileName="/tmp/mod_mono_server"
+ [ -z "$MonoServerAddress" ] && \
+ MonoServerAddress=127.0.0.1
+ [ -z "$MonoServerPort" ] && \
+ MonoServerPort=8080
+ [ -z "$MonoServerVersion" ] && \
+ MonoServerVersion=1
+
+ MONO_SERVER_OPTS="--root ${MonoServerRootDir} \
+--applications ${MonoApplications} --nonstop"
+
+ [ -n "$MonoApplicationsConfigDir" ] && \
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--appconfigdir ${MonoApplicationsConfigDir}"
+
+ case "$MonoServerChannel" in
+ "tcp" )
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--address ${MonoServerAddress} --port ${MonoServerPort}"
+ ;;
+
+ "unix" )
+ [ -f "$UnixSocketFileName" ] && rm -f $UnixSocketFileName
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--filename ${UnixSocketFileName}"
+ ;;
+
+ * )
+ eerror "Please set a valid value for MonoServerChannel"
+ return 1
+ ;;
+ esac
+
+ if [ ${MonoServerVersion} -eq 1 ]; then
+ modmonoserverpath=1.0/mod-mono-server.exe
+ elif [ ${MonoServerVersion} -eq 2 ]; then
+ modmonoserverpath=2.0/mod-mono-server2.exe
+ else
+ eerror "MonoServerVersion was not properly set. Check your /etc/conf.d/xsp"
+ return 1
+ fi
+
+ export MONO_SHARED_DIR=/tmp
+
+ ebegin "Starting mod-mono-server"
+
+ start-stop-daemon --quiet --start \
+ --background \
+ --make-pidfile \
+ --pidfile /var/run/aspnet/mod-mono-server.pid \
+ --chuid aspnet \
+ --exec /usr/bin/mono /usr/lib/mono/${modmonoserverpath} \
+ -- $MONO_SERVER_OPTS
+
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping mod-mono-server"
+
+ start-stop-daemon -o --quiet --stop \
+ --pidfile /var/run/aspnet/mod-mono-server.pid
+
+ eend $?
+}
diff --git a/dev-dotnet/xsp/files/1.1.18/xsp.confd b/dev-dotnet/xsp/files/1.1.18/xsp.confd
new file mode 100644
index 000000000000..bbcbc711e7b9
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.1.18/xsp.confd
@@ -0,0 +1,12 @@
+# Config file for /etc/init.d/xsp
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.1.18/xsp.confd,v 1.1 2006/10/27 13:40:34 jurek Exp $
+
+# This is the document root; trailing slash is not necessary
+MonoServerRoot=/usr/lib/xsp/test
+
+# Port for the server to run on
+MonoServerPort=8000
+
+# If you want to host .NET 2.0 applications you have to set this to 2.
+# Otherwise, leave it unchanged
+MonoServerVersion=1
diff --git a/dev-dotnet/xsp/files/1.1.18/xsp.initd b/dev-dotnet/xsp/files/1.1.18/xsp.initd
new file mode 100644
index 000000000000..73f2d87a9ede
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.1.18/xsp.initd
@@ -0,0 +1,38 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.1.18/xsp.initd,v 1.1 2006/10/27 13:40:34 jurek Exp $
+
+depend() {
+ need net
+ after dotnet
+}
+
+start() {
+ ebegin "Starting xsp"
+
+ if [ ${MonoServerVersion} -eq 1 ]; then
+ xsppath=1.0/xsp.exe
+ elif [ ${MonoServerVersion} -eq 2 ]; then
+ xsppath=2.0/xsp2.exe
+ else
+ eerror "MonoServerVersion was not properly set. Check your config file"
+ return 1
+ fi
+
+ start-stop-daemon --quiet --start \
+ --background \
+ --make-pidfile \
+ --pidfile /var/run/aspnet/xsp.pid \
+ --chuid aspnet \
+ --exec /usr/bin/mono /usr/lib/mono/${xsppath} -- --root ${MonoServerRoot} --port ${MonoServerPort} --nonstop
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping xsp"
+ start-stop-daemon -o --quiet --stop \
+ --pidfile /var/run/aspnet/xsp.pid
+ eend $?
+}
+
diff --git a/dev-dotnet/xsp/files/digest-xsp-1.1.10-r2 b/dev-dotnet/xsp/files/digest-xsp-1.1.10-r2
new file mode 100644
index 000000000000..e73af25e21a4
--- /dev/null
+++ b/dev-dotnet/xsp/files/digest-xsp-1.1.10-r2
@@ -0,0 +1,3 @@
+MD5 8b5347c60951810c4fb6a96ff64c231e xsp-1.1.10.tar.gz 226627
+RMD160 69bef85fa8e050e01aaf002b9f0be33afa6bb128 xsp-1.1.10.tar.gz 226627
+SHA256 a4c9f1f533c1aff754ceb23de032a8f74af2d27b86db384f42129920e850192c xsp-1.1.10.tar.gz 226627
diff --git a/dev-dotnet/xsp/files/digest-xsp-1.1.13.7 b/dev-dotnet/xsp/files/digest-xsp-1.1.13.7
new file mode 100644
index 000000000000..4b410a997309
--- /dev/null
+++ b/dev-dotnet/xsp/files/digest-xsp-1.1.13.7
@@ -0,0 +1,3 @@
+MD5 554137e8d07ad897444ba9b3b9fadf2d xsp-1.1.13.7.tar.gz 226390
+RMD160 80e428e9ac5f81ee68ffe7c00ccf1e64ed745ae5 xsp-1.1.13.7.tar.gz 226390
+SHA256 ebf9081bd94f421534215f7a2055a18bdef8f2116ff4bc1e4140b707df0004ef xsp-1.1.13.7.tar.gz 226390
diff --git a/dev-dotnet/xsp/files/digest-xsp-1.1.18 b/dev-dotnet/xsp/files/digest-xsp-1.1.18
new file mode 100644
index 000000000000..1dd4e41d964f
--- /dev/null
+++ b/dev-dotnet/xsp/files/digest-xsp-1.1.18
@@ -0,0 +1,3 @@
+MD5 6c39f7cbdc2f7c59f25bedaf5495721a xsp-1.1.18.tar.gz 230381
+RMD160 01810e3638bf5ef7c90a76d4ade511a0107c1fe5 xsp-1.1.18.tar.gz 230381
+SHA256 f642460755df541a443998af6ea02e21cea122a71551fecb18ecf29934e2f812 xsp-1.1.18.tar.gz 230381
diff --git a/dev-dotnet/xsp/files/xsp-monoworkerrequest-fix.patch b/dev-dotnet/xsp/files/xsp-monoworkerrequest-fix.patch
new file mode 100644
index 000000000000..1d9db00dc1e6
--- /dev/null
+++ b/dev-dotnet/xsp/files/xsp-monoworkerrequest-fix.patch
@@ -0,0 +1,19 @@
+--- trunk/xsp/src/Mono.WebServer/MonoWorkerRequest.cs 2005/09/07 05:09:32 49611
++++ trunk/xsp/src/Mono.WebServer/MonoWorkerRequest.cs 2006/04/25 20:16:19 59868
+@@ -223,10 +223,14 @@
+ if (path.StartsWith (HostVPath) && (path.Length == len || path [len] == '/'))
+ path = path.Substring (len + 1);
+
+- if (path.Length > 0 && path [0] == '/')
++ while (path.Length > 0 && path [0] == '/') {
+ path = path.Substring (1);
++ }
++
++ if (Path.DirectorySeparatorChar != '/')
++ path = path.Replace ('/', Path.DirectorySeparatorChar);
+
+- return Path.Combine (HostPath, path.Replace ('/', Path.DirectorySeparatorChar));
++ return Path.Combine (HostPath, path);
+ }
+
+ protected abstract bool GetRequestData ();